当前位置:网站首页>如何编写一个优雅的Shell脚本(二)
如何编写一个优雅的Shell脚本(二)
2022-08-05 05:14:00 【IT_xhf】
简介
继上一篇,本文主要描述一个shell脚本的基本组成
公共模块
## 自定义写日志函数
function writelog() {
echo "[`date -d '%Y-%m-%d %H:%M:%S'`][$$]: $1" |tess -a $tmplogfile
}
# 脚本的核心业务程序应该使用该函数去调用,控制程序的运行状态和日志管理
function EXESH_CMD() {
writelog "execute [$CMD] begining ...."
eval $CMD 1>&2 > $tmplogfile
cat $tmplogfile >> $logfile
ret=$?
if [ $ret -ne 0 ]; then
# 如果返回状态不为0 ,则程序出现了错误,将错误日志直接打印终端,并退出程序
cat $tmplogfile
exit 1
else
# 状态码为0 表示程序运行成功,成功,直接打印
writelog "finished [$CMD]."
fi
}
脚本头部
#!/bin/sh
#############################################################
## 文件:xxxx
## 描述:xxxx
## 日期:yyyy-MM-dd
## 作者:xxxxx
############################################################
########################修改记录#############################
#日期 版本 作者 修改描述
#2018-11-04 V01.000 xxx 描述修改内容。。。
#................
###########################################################
VERSION="V01.000"
tmplogfile="/tmp/result.$$.`date+%S`.log"
logfile=`basename $0`.log
脚本公共模块
####################公共模块########################
## 加载自定义环境变量
source /path/common.sh
###################################################
脚本主体
#####################脚本主体################################
writelog "Program starting....(Version=$VERSION)"
CMD="核心脚本"
EXESH_CMD
CMD="核心脚本"
EXESH_CMD
.....
#############################################################
脚本末尾
writelog "Program Finished"
exit 0
边栏推荐
猜你喜欢
【过一下10】sklearn使用记录
The difference between the operators and logical operators
Using pip to install third-party libraries in Pycharm fails to install: "Non-zero exit code (2)" solution
[Go through 7] Notes from the first section of the fully connected neural network video
Lecture 2 Linear Model Linear Model
Database experiment five backup and recovery
flink部署操作-flink on yarn集群安装部署
怎么更改el-table-column的边框线
[Study Notes Dish Dog Learning C] Classic Written Exam Questions of Dynamic Memory Management
第四讲 back propagation 反向传播
随机推荐
BFC(Block Formatting Context)
The difference between the operators and logical operators
"PHP8 Beginner's Guide" A brief introduction to PHP
数据库 单表查询
The role of the range function
学习总结week3_3迭代器_模块
Opencv中,imag=cv2.cvtColor(imag,cv2.COLOR_BGR2GRAY) 报错:error:!_src.empty() in function ‘cv::cvtColor‘
ES6基础语法
学习总结week3_4类与对象
ES6 Set、WeakSet
门徒Disciples体系:致力于成为“DAO世界”中的集大成者。
redis cache clearing strategy
对数据排序
[Decoding tools] Some online tools for Bitcoin
Flink Table API 和 SQL之概述
2022 The 4th C.Easy Counting Problem (EGF+NTT)
Flink EventTime和Watermarks案例分析
RDD和DataFrame和Dataset
[Redis] Resid的删除策略
第二讲 Linear Model 线性模型